%global _empty_manifest_terminate_build 0
Name:		python-pytest-timeout
Version:	2.1.0
Release:	1
Summary:	py.test plugin to abort hanging tests
License:	MIT
URL:		http://github.com/pytest-dev/pytest-timeout/
Source0:	https://files.pythonhosted.org/packages/ef/30/37abbd50f86cb802cbcea50d68688438de1a7446d73c8ed8d048173b4b13/pytest-timeout-2.1.0.tar.gz
BuildArch:	noarch

Requires:	python3-pytest

%description
This is a plugin which will terminate tests after a certain timeout, assuming the test session isn’t being debugged. When aborting a test it will show a stack dump of all threads running at the time. This is useful when running tests under a continuous integration server or simply if you don’t know why the test suite hangs.

%package -n python3-pytest-timeout
Summary:	py.test plugin to abort hanging tests
Provides:	python-pytest-timeout
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-pytest-timeout


%package help
Summary:	Development documents and examples for pytest-timeout
Provides:	python3-pytest-timeout-doc
%description help


%prep
%autosetup -n pytest-timeout-2.1.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-pytest-timeout -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Jun 23 2022 SimpleUpdate Robot <tc@openeuler.org> - 2.1.0-1
- Upgrade to version 2.1.0

* Wed Nov 25 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
